For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign in
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
    • Overview
    • Authentication
  • REST
      • POSTCreate Locale
      • GETList Locales
      • GETGet Locale
      • PATCHUpdate Locale
      • DELDelete Locale
      • POSTRestore Locale
Sign in
LogoLogo
RESTLocales

List Locales

GET
https://api.makeswift.com/v2/locales
GET
/v2/locales
$curl -G https://api.makeswift.com/v2/locales \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d siteId=siteId
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "locale",
6 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
7 "locale": "fr-FR",
8 "domain": "https://hearthfurniture.fr",
9 "pathPrefix": "french",
10 "isDefault": true
11 },
12 {
13 "object": "locale",
14 "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
15 "locale": "en-US",
16 "domain": "https://hearthfurniture.com",
17 "pathPrefix": null,
18 "isDefault": false
19 },
20 {
21 "object": "locale",
22 "id": "1c6b147e-8f3a-4d2a-9f3a-2a1b3c4d5e6f",
23 "locale": "es-MX",
24 "domain": "https://hearthfurniture.com.mx",
25 "pathPrefix": "espanol",
26 "isDefault": false
27 }
28 ],
29 "hasMore": false
30}
Returns a list of locales for a site.
Was this page helpful?
Previous

Create Locale

Next

Get Locale

Built with

Authentication

x-api-keystring

API key authentication. Accepts either:

  • App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
  • Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)

Query parameters

siteIdstringRequiredformat: "uuid"
The site ID to list locales from.
limitdoubleOptional1-100Defaults to 20
The maximum number of locales to return.
startingAfterstringOptionalformat: "uuid"
The pagination cursor. This is used to indicate what ID to list from.

Response

objectenum
Allowed values:
datalist of objects
hasMoreboolean
The flag that indicates whether there are more locales available.

Errors

400
Bad Request Error
403
Forbidden Error